Name:		qxgedit
Version:	0.9.0
Release:	%mkrel 1
Summary:	Qt XG Editor
License:	GPLv2+
Group:		Sound/Midi
URL:		https://qxgedit.sourceforge.io/
Source0:	http://downloads.sourceforge.net/qxgedit/%{name}-%{version}.tar.gz

BuildRequires:	qttools5
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)

%description
QXGEdit is a Qt GUI for editing MIDI System Exclusive files
for XG devices (eg. Yamaha DB50XG).

%prep
%setup -q

%build
%configure \
	--enable-debug

%make_build

%install
%make_install

# menu
desktop-file-install \
	--remove-key="X-SuSE-translate" \
	--remove-key="Version" \
	--set-key=Exec --set-value="%{name}" \
	--dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc AUTHORS ChangeLog README TODO
%{_bindir}/%{name}
%{_qt5_plugindir}/styles/libskulpturestyle.so
%{_datadir}/applications/%{name}.desktop
%{_datadir}/metainfo/%{name}.appdata.xml
%{_iconsdir}/*/*/*/%{name}.png
%{_iconsdir}/*/*/*/%{name}.svg
%{_mandir}/man1/%{name}*.1*
%lang(fr) %{_mandir}/fr/man1/%{name}*.1*


%changelog
* Sat Dec 19 2020 daviddavid <daviddavid> 0.9.0-1.mga8
+ Revision: 1661142
- new version: 0.9.0

* Thu Dec 17 2020 umeabot <umeabot> 0.6.3-2.mga8
+ Revision: 1659719
- Rebuild for new Qt5

* Sat Aug 01 2020 daviddavid <daviddavid> 0.6.3-1.mga8
+ Revision: 1610111
- new version: 0.6.3

* Wed Mar 25 2020 daviddavid <daviddavid> 0.6.2-1.mga8
+ Revision: 1559660
- new version: 0.6.2

* Tue Feb 18 2020 umeabot <umeabot> 0.6.1-2.mga8
+ Revision: 1541321
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Dec 22 2019 daviddavid <daviddavid> 0.6.1-1.mga8
+ Revision: 1469565
- new version: 0.6.1

* Thu Oct 17 2019 daviddavid <daviddavid> 0.6.0-1.mga8
+ Revision: 1454276
- new version: 0.6.0

* Fri Jul 12 2019 daviddavid <daviddavid> 0.5.5-1.mga8
+ Revision: 1420789
- new version: 0.5.5

* Thu Apr 11 2019 daviddavid <daviddavid> 0.5.4-1.mga7
+ Revision: 1388308
- new version: 0.5.4

* Mon Apr 01 2019 umeabot <umeabot> 0.5.3-2.mga7
+ Revision: 1384663
- Qt5 Rebuild

* Mon Mar 11 2019 daviddavid <daviddavid> 0.5.3-1.mga7
+ Revision: 1374152
- new version: 0.5.3

* Sun Sep 23 2018 umeabot <umeabot> 0.5.2-2.mga7
+ Revision: 1300759
- Mageia 7 Mass Rebuild

* Sun Jul 22 2018 daviddavid <daviddavid> 0.5.2-1.mga7
+ Revision: 1244861
- new version: 0.5.2

* Wed May 23 2018 daviddavid <daviddavid> 0.5.1-1.mga7
+ Revision: 1231764
- new version: 0.5.1

* Sat Dec 23 2017 daviddavid <daviddavid> 0.5.0-1.mga7
+ Revision: 1184159
- new version: 0.5.0

* Sat Jul 01 2017 daviddavid <daviddavid> 0.4.3-1.mga6
+ Revision: 1108863
- new version: 0.4.3
- update URL

* Fri Nov 18 2016 daviddavid <daviddavid> 0.4.2-1.mga6
+ Revision: 1068234
- initial package qxgedit

